import { combineReducers, Action } from '@ngrx/store';
import { CustomerState } from './customer.state';
import { shelfReducer } from './shelf';
import { customersReducer } from './customers';

const _customerReducer = combineReducers<CustomerState>({
  shelf: shelfReducer,
  customers: customersReducer,
});

export function customerReducer(state: CustomerState, action: Action) {
  return _customerReducer(state, action);
}
